Bug 806240 - [as7] Flush datasource for domain only on managed servers
[as7] Flush datasource for domain only on managed servers
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-03-23 05:47 EDT by Heiko W. Rupp
Modified: 2013-09-01 06:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:11:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-03-23 05:47:15 EDT
flush connection used to be available at domain level, but this is now gone and only at managed server level

[domain@localhost:9999 data-source=ExampleDS] :read-operation-names
{
    "outcome" => "success",
    "result" => [
        "flush-all-connection-in-pool",
        "flush-idle-connection-in-pool",
        "read-attribute",
        "read-children-names",
        "read-children-resources",
        "read-children-types",
        "read-operation-description",
        "read-operation-names",
        "read-resource",
        "read-resource-description",
        "test-connection-in-pool"
    ]
}
[domain@localhost:9999 data-source=ExampleDS] pwd
/host=master/server=server-one/subsystem=datasources/data-source=ExampleDS

and

[domain@localhost:9999 data-source=ExampleDS] :read-operation-names
{
    "outcome" => "success",
    "result" => [
        "add",
        "disable",
        "enable",
        "read-attribute",
        "read-children-names",
        "read-children-resources",
        "read-children-types",
        "read-operation-description",
        "read-operation-names",
        "read-resource",
        "read-resource-description",
        "remove",
        "undefine-attribute",
        "whoami",
        "write-attribute"
    ]
}
[domain@localhost:9999 data-source=ExampleDS] pwd
/profile=default/subsystem=datasources/data-source=ExampleDS


Also there are now 2 commands to support:

       "flush-all-connection-in-pool",
        "flush-idle-connection-in-pool",
Comment 1 Mike Foley 2012-03-26 11:50:23 EDT
priority=high, blocks 707223, target release = 3.1  per BZ triage (crouch, asantos, loleary, mfoley)
Comment 2 Stefan Negrea 2012-04-27 01:33:09 EDT
Split Datasources subsystem into three subsystems based on the parent server type (Standalone, Managed, and Profile). Each new subsystem has only applicable properties, metrics and operations.

This follows the same solution used for the Transactions subsystem, the only difference is the usage of entity&include to reduce the number of lines of XML.
Comment 3 Heiko W. Rupp 2013-09-01 06:11:22 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.